import { createImportMetaHot } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/dist/js/import_meta_hot.js";
import.meta.hot = createImportMetaHot(import.meta.url);
import { installPreactRefresh } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/packages/related/plugin-preact/src/client/preact_refresh.js?v=1.5.4";
const __preact_refresh__ = installPreactRefresh("file:///Users/damien.maillard/dev/perso/jsenv-core/packages/related/create-jsenv/demo-web-preact/src/app/counter.jsx");
var _jsxFileName = "/Users/damien.maillard/dev/perso/jsenv-core/packages/related/create-jsenv/demo-web-preact/src/app/counter.jsx",
  _s = $RefreshSig$();
import { addHookName } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/packages/related/create-jsenv/node_modules/preact/devtools/dist/devtools.module.js?v=1.0.0";
import { Fragment } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/packages/related/create-jsenv/node_modules/preact/dist/preact.module.js?v=10.19.3";
import { useState } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/packages/related/create-jsenv/node_modules/preact/hooks/dist/hooks.module.js?v=0.1.0";
import { jsxDEV as _jsxDEV } from "/@fs/Users/damien.maillard/dev/perso/jsenv-core/packages/related/create-jsenv/node_modules/preact/jsx-runtime/dist/jsxRuntime.module.js?v=1.0.0";
export const Counter = () => {
  _s();
  const [count, setCount] = addHookName(useState(0), "count");
  return _jsxDEV(Fragment, {
    children: [_jsxDEV("button", {
      id: "counter_button",
      type: "button",
      onClick: () => setCount(count => count + 1),
      children: "Click me"
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 9,
      columnNumber: 7
    }, this), _jsxDEV("br", {}, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 7
    }, this), "number of click: ", _jsxDEV("span", {
      id: "counter_output",
      children: count
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 24
    }, this)]
  }, void 0, true, {
    fileName: _jsxFileName,
    lineNumber: 8,
    columnNumber: 5
  }, this);
};
_s(Counter, "useState{[count, setCount](0)}");
_c = Counter;
var _c;
$RefreshReg$(_c, "Counter");
__preact_refresh__.end();
import.meta.hot.accept(__preact_refresh__.acceptCallback);